com.hazelcast.config.yaml

## Class ElementAdapter

- java.lang.Object
- - com.hazelcast.config.yaml.ElementAdapter

- All Implemented Interfaces:
    Element, Node

      public class ElementAdapter
      extends Object
      implements Element

  Class adapting `YamlNode`s to `Element`.

  Used for processing YAML configuration.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `appendChild(Node newChild)`
    `Node` | `cloneNode(boolean deep)`
    `short` | `compareDocumentPosition(Node other)`
    `String` | `getAttribute(String name)`
    `Attr` | `getAttributeNode(String name)`
    `Attr` | `getAttributeNodeNS(String namespaceURI, String localName)`
    `String` | `getAttributeNS(String namespaceURI, String localName)`
    `NamedNodeMap` | `getAttributes()`
    `String` | `getBaseURI()`
    `NodeList` | `getChildNodes()`
    `NodeList` | `getElementsByTagName(String name)`
    `NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)`
    `Object` | `getFeature(String feature, String version)`
    `Node` | `getFirstChild()`
    `Node` | `getLastChild()`
    `String` | `getLocalName()`
    `String` | `getNamespaceURI()`
    `Node` | `getNextSibling()`
    `String` | `getNodeName()`
    `short` | `getNodeType()`
    `String` | `getNodeValue()`
    `Document` | `getOwnerDocument()`
    `Node` | `getParentNode()`
    `String` | `getPrefix()`
    `Node` | `getPreviousSibling()`
    `TypeInfo` | `getSchemaTypeInfo()`
    `String` | `getTagName()`
    `String` | `getTextContent()`
    `Object` | `getUserData(String key)`
    `com.hazelcast.internal.yaml.YamlNode` | `getYamlNode()`
    `boolean` | `hasAttribute(String name)`
    `boolean` | `hasAttributeNS(String namespaceURI, String localName)`
    `boolean` | `hasAttributes()`
    `boolean` | `hasChildNodes()`
    `Node` | `insertBefore(Node newChild, Node refChild)`
    `boolean` | `isDefaultNamespace(String namespaceURI)`
    `boolean` | `isEqualNode(Node arg)`
    `boolean` | `isSameNode(Node other)`
    `boolean` | `isSupported(String feature, String version)`
    `String` | `lookupNamespaceURI(String prefix)`
    `String` | `lookupPrefix(String namespaceURI)`
    `void` | `normalize()`
    `void` | `removeAttribute(String name)`
    `Attr` | `removeAttributeNode(Attr oldAttr)`
    `void` | `removeAttributeNS(String namespaceURI, String localName)`
    `Node` | `removeChild(Node oldChild)`
    `Node` | `replaceChild(Node newChild, Node oldChild)`
    `void` | `setAttribute(String name, String value)`
    `Attr` | `setAttributeNode(Attr newAttr)`
    `Attr` | `setAttributeNodeNS(Attr newAttr)`
    `void` | `setAttributeNS(String namespaceURI, String qualifiedName, String value)`
    `void` | `setIdAttribute(String name, boolean isId)`
    `void` | `setIdAttributeNode(Attr idAttr, boolean isId)`
    `void` | `setIdAttributeNS(String namespaceURI, String localName, boolean isId)`
    `void` | `setNodeValue(String nodeValue)`
    `void` | `setPrefix(String prefix)`
    `void` | `setTextContent(String textContent)`
    `Object` | `setUserData(String key, Object data, UserDataHandler handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getYamlNode

          public com.hazelcast.internal.yaml.YamlNode getYamlNode()

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `Node`

    - #### getNodeValue

          public String getNodeValue()
                              throws DOMException

      Specified by:
        `getNodeValue` in interface `Node`
      Throws:
        `DOMException`

    - #### setNodeValue

          public void setNodeValue(String nodeValue)
                            throws DOMException

      Specified by:
        `setNodeValue` in interface `Node`
      Throws:
        `DOMException`

    - #### getNodeType

          public short getNodeType()

      Specified by:
        `getNodeType` in interface `Node`

    - #### getParentNode

          public Node getParentNode()

      Specified by:
        `getParentNode` in interface `Node`

    - #### getChildNodes

          public NodeList getChildNodes()

      Specified by:
        `getChildNodes` in interface `Node`

    - #### getFirstChild

          public Node getFirstChild()

      Specified by:
        `getFirstChild` in interface `Node`

    - #### getLastChild

          public Node getLastChild()

      Specified by:
        `getLastChild` in interface `Node`

    - #### getPreviousSibling

          public Node getPreviousSibling()

      Specified by:
        `getPreviousSibling` in interface `Node`

    - #### getNextSibling

          public Node getNextSibling()

      Specified by:
        `getNextSibling` in interface `Node`

    - #### getAttributes

          public NamedNodeMap getAttributes()

      Specified by:
        `getAttributes` in interface `Node`

    - #### getOwnerDocument

          public Document getOwnerDocument()

      Specified by:
        `getOwnerDocument` in interface `Node`

    - #### insertBefore

          public Node insertBefore(Node newChild,
                                   Node refChild)
                            throws DOMException

      Specified by:
        `insertBefore` in interface `Node`
      Throws:
        `DOMException`

    - #### replaceChild

          public Node replaceChild(Node newChild,
                                   Node oldChild)
                            throws DOMException

      Specified by:
        `replaceChild` in interface `Node`
      Throws:
        `DOMException`

    - #### removeChild

          public Node removeChild(Node oldChild)
                           throws DOMException

      Specified by:
        `removeChild` in interface `Node`
      Throws:
        `DOMException`

    - #### appendChild

          public Node appendChild(Node newChild)
                           throws DOMException

      Specified by:
        `appendChild` in interface `Node`
      Throws:
        `DOMException`

    - #### hasChildNodes

          public boolean hasChildNodes()

      Specified by:
        `hasChildNodes` in interface `Node`

    - #### cloneNode

          public Node cloneNode(boolean deep)

      Specified by:
        `cloneNode` in interface `Node`

    - #### normalize

          public void normalize()

      Specified by:
        `normalize` in interface `Node`

    - #### isSupported

          public boolean isSupported(String feature,
                                     String version)

      Specified by:
        `isSupported` in interface `Node`

    - #### getNamespaceURI

          public String getNamespaceURI()

      Specified by:
        `getNamespaceURI` in interface `Node`

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `Node`

    - #### setPrefix

          public void setPrefix(String prefix)
                         throws DOMException

      Specified by:
        `setPrefix` in interface `Node`
      Throws:
        `DOMException`

    - #### getLocalName

          public String getLocalName()

      Specified by:
        `getLocalName` in interface `Node`

    - #### hasAttributes

          public boolean hasAttributes()

      Specified by:
        `hasAttributes` in interface `Node`

    - #### getBaseURI

          public String getBaseURI()

      Specified by:
        `getBaseURI` in interface `Node`

    - #### compareDocumentPosition

          public short compareDocumentPosition(Node other)
                                        throws DOMException

      Specified by:
        `compareDocumentPosition` in interface `Node`
      Throws:
        `DOMException`

    - #### getTextContent

          public String getTextContent()
                                throws DOMException

      Specified by:
        `getTextContent` in interface `Node`
      Throws:
        `DOMException`

    - #### setTextContent

          public void setTextContent(String textContent)
                              throws DOMException

      Specified by:
        `setTextContent` in interface `Node`
      Throws:
        `DOMException`

    - #### isSameNode

          public boolean isSameNode(Node other)

      Specified by:
        `isSameNode` in interface `Node`

    - #### lookupPrefix

          public String lookupPrefix(String namespaceURI)

      Specified by:
        `lookupPrefix` in interface `Node`

    - #### isDefaultNamespace

          public boolean isDefaultNamespace(String namespaceURI)

      Specified by:
        `isDefaultNamespace` in interface `Node`

    - #### lookupNamespaceURI

          public String lookupNamespaceURI(String prefix)

      Specified by:
        `lookupNamespaceURI` in interface `Node`

    - #### isEqualNode

          public boolean isEqualNode(Node arg)

      Specified by:
        `isEqualNode` in interface `Node`

    - #### getFeature

          public Object getFeature(String feature,
                                   String version)

      Specified by:
        `getFeature` in interface `Node`

    - #### setUserData

          public Object setUserData(String key,
                                    Object data,
                                    UserDataHandler handler)

      Specified by:
        `setUserData` in interface `Node`

    - #### getUserData

          public Object getUserData(String key)

      Specified by:
        `getUserData` in interface `Node`

    - #### getTagName

          public String getTagName()

      Specified by:
        `getTagName` in interface `Element`

    - #### getAttribute

          public String getAttribute(String name)

      Specified by:
        `getAttribute` in interface `Element`

    - #### setAttribute

          public void setAttribute(String name,
                                   String value)
                            throws DOMException

      Specified by:
        `setAttribute` in interface `Element`
      Throws:
        `DOMException`

    - #### removeAttribute

          public void removeAttribute(String name)
                               throws DOMException

      Specified by:
        `removeAttribute` in interface `Element`
      Throws:
        `DOMException`

    - #### getAttributeNode

          public Attr getAttributeNode(String name)

      Specified by:
        `getAttributeNode` in interface `Element`

    - #### setAttributeNode

          public Attr setAttributeNode(Attr newAttr)
                                throws DOMException

      Specified by:
        `setAttributeNode` in interface `Element`
      Throws:
        `DOMException`

    - #### removeAttributeNode

          public Attr removeAttributeNode(Attr oldAttr)
                                   throws DOMException

      Specified by:
        `removeAttributeNode` in interface `Element`
      Throws:
        `DOMException`

    - #### getElementsByTagName

          public NodeList getElementsByTagName(String name)

      Specified by:
        `getElementsByTagName` in interface `Element`

    - #### getAttributeNS

          public String getAttributeNS(String namespaceURI,
                                       String localName)
                                throws DOMException

      Specified by:
        `getAttributeNS` in interface `Element`
      Throws:
        `DOMException`

    - #### setAttributeNS

          public void setAttributeNS(String namespaceURI,
                                     String qualifiedName,
                                     String value)
                              throws DOMException

      Specified by:
        `setAttributeNS` in interface `Element`
      Throws:
        `DOMException`

    - #### removeAttributeNS

          public void removeAttributeNS(String namespaceURI,
                                        String localName)
                                 throws DOMException

      Specified by:
        `removeAttributeNS` in interface `Element`
      Throws:
        `DOMException`

    - #### getAttributeNodeNS

          public Attr getAttributeNodeNS(String namespaceURI,
                                         String localName)
                                  throws DOMException

      Specified by:
        `getAttributeNodeNS` in interface `Element`
      Throws:
        `DOMException`

    - #### setAttributeNodeNS

          public Attr setAttributeNodeNS(Attr newAttr)
                                  throws DOMException

      Specified by:
        `setAttributeNodeNS` in interface `Element`
      Throws:
        `DOMException`

    - #### getElementsByTagNameNS

          public NodeList getElementsByTagNameNS(String namespaceURI,
                                                 String localName)
                                          throws DOMException

      Specified by:
        `getElementsByTagNameNS` in interface `Element`
      Throws:
        `DOMException`

    - #### hasAttribute

          public boolean hasAttribute(String name)

      Specified by:
        `hasAttribute` in interface `Element`

    - #### hasAttributeNS

          public boolean hasAttributeNS(String namespaceURI,
                                        String localName)
                                 throws DOMException

      Specified by:
        `hasAttributeNS` in interface `Element`
      Throws:
        `DOMException`

    - #### getSchemaTypeInfo

          public TypeInfo getSchemaTypeInfo()

      Specified by:
        `getSchemaTypeInfo` in interface `Element`

    - #### setIdAttribute

          public void setIdAttribute(String name,
                                     boolean isId)
                              throws DOMException

      Specified by:
        `setIdAttribute` in interface `Element`
      Throws:
        `DOMException`

    - #### setIdAttributeNS

          public void setIdAttributeNS(String namespaceURI,
                                       String localName,
                                       boolean isId)
                                throws DOMException

      Specified by:
        `setIdAttributeNS` in interface `Element`
      Throws:
        `DOMException`

    - #### setIdAttributeNode

          public void setIdAttributeNode(Attr idAttr,
                                         boolean isId)
                                  throws DOMException

      Specified by:
        `setIdAttributeNode` in interface `Element`
      Throws:
        `DOMException`

Copyright © 2019. All rights reserved.